Package org.zkoss.zk.au.out

## Class AuAppendChild

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuAppendChild

-     public class AuAppendChild
      extends AuResponse

  A response to insert an unparsed HTML as the last child of the specified component at the client.

  data[0]: the uuid of the component/page as the parent
  data[1]: the unparsed HTML (a.k.a., content)

  Since:
    3.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuAppendChild​(Component comp, java.util.Collection<java.lang.String> contents)` |
    `AuAppendChild​(Page page, java.util.Collection<java.lang.String> contents)` |

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getOverrideKey, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuAppendChild

          public AuAppendChild​(Component comp,
                               java.util.Collection<java.lang.String> contents)

      Parameters:
        `contents` - a collection of contents (in String objects). Each content is the output of a component.
      Since:
        5.0.7

    - #### AuAppendChild

          public AuAppendChild​(Page page,
                               java.util.Collection<java.lang.String> contents)

      Parameters:
        `contents` - a collection of contents (in String objects). Each content is the output of a component or a page.
      Since:
        5.0.7